=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Eero:
# use: dpkg-buildpackage -uc -us -ICVS

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# configuration is needed to do anything with WWS
configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp config

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Make W window system
	$(MAKE) full

	touch $@

# .config is needed for cleaning
clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) verycleanfull

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/wws.
	$(MAKE) installfull
	TERMINFO=$(CURDIR)/debian/tmp/usr/share/terminfo tic wterm.terminfo


# Build architecture-independent files here.
binary-indep: build install
# TODO: "wws" package should actually be constructed here...

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install --sourcedir=debian/tmp
	dh_installman
	dh_link
	dh_strip --dbg-package=wws-server --dbg-package=libwws1.4 --dbg-package=libw2x1.4 --dbg-package=wws-apps --dbg-package=console-board-games --dbg-package=wws-games --dbg-package=wlua
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
